package com.emr.dao;

import com.emr.entity.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface Sign_ListMapper {
    /**
     * 查询列表Vo
     * @return
     */
    List<Sign_List_Vo> selectSignList(Sign_List_Vo signListVo);

    /**
     * 查询列表
     * @return
     */
    List<Sign_List> selectSignListWith(Sign_List signList);

    /**
     * 根据id查询记录（重复）
     * @param id
     * @return
     */
    Sign_List selectSignListById(Integer id);

    /**
     * 添加记录
     * @param signList
     * @return
     */
    int insertSignList(Sign_List signList);

    /**
     *
     * @param signList
     * @return
     */
    int updateSignList(Sign_List signList);

    /**
     * 根据id删除记录
     * @param id
     * @return
     */
    int deleteSignListById(Integer id);

    /**
     * 根据id查询记录
     * @param ids
     * @return
     */
    int deleteSignListByIds(String ids);

    /**
     *
     * @param record
     * @return
    int updateCloById(Archive_Detail record);

    *//**
     * 根据主键修改记录
     * @param record
     * @return
     *//*
    int updateByPrimaryKey(Archive_Detail record);

    *//**
     * 根据可选字段查询记录（重复）
     * @param record
     * @return
     *//*
    List<Archive_Detail> selectByColm(Archive_Detail record);

    *//**
     * 根据可选字段查询记录（重复）
     * @param record
     * @return
     *//*
    List<Archive_Detail> selectByCol(Archive_Detail record);

    *//**
     * 根据可选字段查询记录(查询新生儿记录)
     * @param record
     * @return
     *//*
    int selectChildByClo(Archive_Detail_Vo record);

    *//**
     * 查询新生儿记录
     * @param record
     * @return
     *//*
    List<Archive_Detail_Vo> selectChild(Archive_Detail_Vo record);

    *//**
     * 根据可选字段查询记录
     * @param record
     * @return
     *//*
    List<Archive_Detail_Vo> selectByClo(Archive_Detail_Vo record);

    *//**
     * 根据可选字段查询记录详情
     * @param record
     * @return
     *//*
    List<Archive_Detail_Vo> detailByClo(Archive_Detail_Vo record);

    *//**
     * 根据可选字段查询记录详情
     * @param record
     * @return
     *//*
    List<Archive_Detail_Vo> detailWithChildByClo(Archive_Detail_Vo record);

    *//**
     * 根据可字段查询Source字段
     * @param record
     * @return
     *//*
    List<Archive_Detail_Vo> sourceByClo(Archive_Detail_Vo record);

    *//**
     * 根据可选字段查询记录（重复）
     * @param record
     * @return
     *//*
    List<Archive_Detail> selectByIdStr(Archive_Detail record);

    *//**
     * 根据可选字段查询类别及archive_detail表的关联数据
     * @param record
     * @return
     *//*
    List<Archive_Detail> selectByCol2(Archive_Detail record);

    *//**
     * 以master表的记账号或分类id集合组织分类树
     * @param patientId
     * @param assortIds
     * @return
     *//*
    List<Archive_Detail> selectTypeTreeByPatientIdAndAssortIds(@Param("patientId") String patientId, @Param("assortIds") String assortIds);

    *//**
     * 根据flag=0,id集查询记录
     * @param record
     * @return
     *//*
    List<Archive_Detail> selectByIdStr1(Archive_Detail record);*/
}